# import_tasks – Import a task list

New in version 2.4.

- Synopsis
- Parameters
- Notes
- See Also
- Examples
- Status

## Synopsis

- Imports a list of tasks to be added to the current playbook for subsequent execution.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
free-form - |  | The name of the imported file is specified directly without any other option. Most keywords, including loops and conditionals, only applied to the imported tasks, not to this statement itself. If you need any of those to apply, use include_tasks instead.

## Notes

Note

- This is a core feature of Ansible, rather than a module, and cannot be overridden like a module.

## See Also

See also

import_playbook – Import a playbook
  The official documentation on the import_playbook module.
import_role – Import a role into a play
  The official documentation on the import_role module.
include_role – Load and execute a role
  The official documentation on the include_role module.
include_tasks – Dynamically include a task list
  The official documentation on the include_tasks module.
Including and Importing
  More information related to including and importing playbooks, roles and tasks.

## Examples

    - hosts: all
      tasks:
        - debug:
            msg: task1

        - name: Include task list in play
          import_tasks: stuff.yaml

        - debug:
            msg: task10

    - hosts: all
      tasks:
        - debug:
            msg: task1

        - name: Apply conditional to all imported tasks
          import_tasks: stuff.yaml
          when: hostvar is defined

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible Core Team (@ansible)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.